package org.processmining.markovprocess.models;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;
/**
 * @author s147569
 */
public class InitialDistribution implements Map<String,Double> {
	private final Map<String,Double> distribution;
	
	public InitialDistribution() {
		distribution = new HashMap<String,Double>();
	}

	public int size() {
		return distribution.size();
	}

	public boolean isEmpty() {
		return distribution.isEmpty();
	}

	public boolean containsKey(Object key) {
		return distribution.containsKey(key);
	}

	public boolean containsValue(Object value) {
		return distribution.containsValue(value);
	}

	public Double get(Object key) {
		return distribution.get(key);
	}

	public Double put(String key, Double value) {
		return distribution.put(key, value);
	}

	public Double remove(Object key) {
		return distribution.remove(key);
	}

	public void putAll(Map<? extends String, ? extends Double> m) {
		distribution.putAll(m);
	}

	public void clear() {
		distribution.clear();
	}

	public Set<String> keySet() {
		return distribution.keySet();
	}

	public Collection<Double> values() {
		return distribution.values();
	}

	public Set<java.util.Map.Entry<String, Double>> entrySet() {
		return distribution.entrySet();
	}
}
